NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::GeometricUtilities::RectangularFrameBuilder Class Reference

Rectangular frame builder
Created in NX7.5.1. More...

Inheritance diagram for NXOpen::GeometricUtilities::RectangularFrameBuilder:
NXOpen::TaggedObjectNXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum   AnchorLocationType {
  AnchorLocationTypeTopLeft, AnchorLocationTypeTopCenter, AnchorLocationTypeTopRight, AnchorLocationTypeMiddleLeft,
  AnchorLocationTypeMiddleCenter, AnchorLocationTypeMiddleRight, AnchorLocationTypeBottomLeft, AnchorLocationTypeBottomCenter,
  AnchorLocationTypeBottomRight
}
  Anchor location types. More...
 

Public Member Functions

NXOpen::GeometricUtilities::RectangularFrameBuilder::AnchorLocationType  AnchorLocation ()
  Returns the anchor location
Created in NX7.5.1.
 
NXOpen::SelectSmartObject AnchorLocator ()
  Returns the point or coordinate system to define initial location and orientation of the frame
Created in NX7.5.1.
 
NXOpen::CoordinateSystem CoordinateSystem ()
  Returns the coordinate system
Created in NX7.5.1.
 
NXOpen::Expression Height ()
  Returns the height
Created in NX7.5.1.
 
NXOpen::Expression Length ()
  Returns the length
Created in NX7.5.1.
 
void  SetAnchorLocation (NXOpen::GeometricUtilities::RectangularFrameBuilder::AnchorLocationType anchorLocation)
  设置定位点Created in NX7.5.1.
 
void  SetCoordinateSystem (NXOpen::CoordinateSystem *coordinateSystem)
  设置坐标系Created in NX7.5.1.
 
void  SetWScale (double wScale)
  设置宽度标尺Created in NX7.5.1.
 
NXOpen::Expression Shear ()
  Returns the shear
Created in NX7.5.1.
 
void  UpdateOnCoordinateSystem ()
  Updates the frame based on coordinate system.
 
virtual bool  Validate ()
  Validate whether the inputs to the component are sufficient for commit to be called.
 
double  WScale ()
  Returns the width scale
Created in NX7.5.1.
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t  GetTag () const
 
<b>Deprecated</b>:<br>

   Use Tag instead.

 
tag_t  Tag () const
  Returns the tag of this object.
 

Detailed Description

Rectangular frame builder
Created in NX7.5.1.


Member Enumeration Documentation

Anchor location types.

Enumerator:
AnchorLocationTypeTopLeft 

Top left position.

AnchorLocationTypeTopCenter 

Top center position.

AnchorLocationTypeTopRight 

Top right position.

AnchorLocationTypeMiddleLeft 

Middle left position.

AnchorLocationTypeMiddleCenter 

Middle center position.

AnchorLocationTypeMiddleRight 

Middle right position.

AnchorLocationTypeBottomLeft 

Bottom left position.

AnchorLocationTypeBottomCenter 

Bottom center position.

AnchorLocationTypeBottomRight 

Bottom right position.

Member Function Documentation

NXOpen::GeometricUtilities::RectangularFrameBuilder::AnchorLocationType NXOpen::GeometricUtilities::RectangularFrameBuilder::AnchorLocation ( )

Returns the anchor location
Created in NX7.5.1.



License requirements : None

NXOpen::SelectSmartObject* NXOpen::GeometricUtilities::RectangularFrameBuilder::AnchorLocator ( )

Returns the point or coordinate system to define initial location and orientation of the frame
Created in NX7.5.1.



License requirements : None

NXOpen::CoordinateSystem* NXOpen::GeometricUtilities::RectangularFrameBuilder::CoordinateSystem ( )

Returns the coordinate system
Created in NX7.5.1.



License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::RectangularFrameBuilder::Height ( )

Returns the height
Created in NX7.5.1.



License requirements : None

NXOpen::Expression* NXOpen::GeometricUtilities::RectangularFrameBuilder::Length ( )

Returns the length
Created in NX7.5.1.



License requirements : None

void NXOpen::GeometricUtilities::RectangularFrameBuilder::SetAnchorLocation ( NXOpen::GeometricUtilities::RectangularFrameBuilder::AnchorLocationType  anchorLocation )

Sets the anchor location
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
anchorLocation anchorlocation
void NXOpen::GeometricUtilities::RectangularFrameBuilder::SetCoordinateSystem ( NXOpen::CoordinateSystem coordinateSystem )

Sets the coordinate system
Created in NX7.5.1.



License requirements : solid_modeling ("SOLIDS MODELING")

Parameters
coordinateSystem coordinatesystem
void NXOpen::GeometricUtilities::RectangularFrameBuilder::SetWScale ( double  wScale )

Sets the width scale
Created in NX7.5.1.



License requirements : None

Parameters
wScale wscale
NXOpen::Expression* NXOpen::GeometricUtilities::RectangularFrameBuilder::Shear ( )

Returns the shear
Created in NX7.5.1.



License requirements : None

void NXOpen::GeometricUtilities::RectangularFrameBuilder::UpdateOnCoordinateSystem ( )

Updates the frame based on coordinate system.


Created in NX7.5.1.

License requirements : None

virtual bool NXOpen::GeometricUtilities::RectangularFrameBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.

double NXOpen::GeometricUtilities::RectangularFrameBuilder::WScale ( )

Returns the width scale
Created in NX7.5.1.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.